import { For, createSignal, createEffect } from "solid-js";
import { Portal } from "solid-js/web";
import { createElementSize } from "@solid-primitives/resize-observer";
export function PDFSlickThumbnails(props) {
    const [resizeRef, setResizeRef] = createSignal();
    const size = createElementSize(resizeRef);
    createEffect(() => {
        if (size.width && size.height) {
            props.store.pdfSlick?.forceRendering();
        }
    });
    return (<div ref={(el) => {
            props.thumbsRef(el);
            setResizeRef(el);
        }} class={props.class ?? ""} classList={props.classList ?? {}} style={{
            position: "absolute",
            overflow: "auto",
            inset: 0,
        }}>
      <For each={Array.from(props.store.thumbnailViews)}>
        {([pageNumber, view]) => (<Portal mount={view.div}>
            {props.children({
                pageNumber,
                width: view.canvasWidth,
                height: view.canvasHeight,
                scale: view.scale,
                src: view?.src ?? null,
                rotation: view.rotation,
                pageLabel: view.pageLabel,
                loaded: view.loaded,
            })}
          </Portal>)}
      </For>
    </div>);
}
